| Home | Libraries | People | FAQ | More

## Macro BOOST_LOCAL_FUNCTION_CONFIG_BIND_MAX

BOOST_LOCAL_FUNCTION_CONFIG_BIND_MAX — Maximum number of bound variables supported by local functions.

## Synopsis

    // In header: <boost/local_function/config.hpp>

    BOOST_LOCAL_FUNCTION_CONFIG_BIND_MAX

## Description

If programmers leave this configuration macro undefined, its default value is `10` (increasing this number might increase compilation time). When defined by programmers, this macro must be a non-negative integer number.

Note: This macro specifies the maximum number of bound variables excluding local function parameters (which are instead specified by `BOOST_LOCAL_FUNCTION_CONFIG_ARITY_MAX`).

See: Tutorial section, Getting Started section, `BOOST_LOCAL_FUNCTION_CONFIG_ARITY_MAX`.